#include<bits/stdc++.h>
#include "triangles.h"

using namespace std;

int compare(const std::vector<Triangle>& left, const std::vector<Triangle>& right);

struct Triangle {
    int i, j, k;
    Triangle() = default;
    Triangle(int i_, int j_, int k_) : i(i_), j(j_), k(k_) {}
};

vector<vector<int>> solve(int n){
    vector<Triangle> c1 = {Triangle(0, 1, 2), Triangle(0, 1, 3)};
    vector<Triangle> c2 = {Triangle(0, 2, 3), Triangle(1, 2, 3)};
    vector<vector<int>> ans;
    if (compare(c1, c2) == 0){
        ans = {{0, 1, 2}, {0, 1, 3}};
    }
    c1 = {Triangle(0, 1, 2), Triangle(0, 2, 3)};
    c2 = {Triangle(0, 1, 3), Triangle(1, 2, 3)};
    if (compare(c1, c2) == 0){
        ans = {{0, 1, 2}, {0, 2, 3}};
    }
    c1 = {Triangle(0, 1, 2), Triangle(1, 2, 3)};
    c2 = {Triangle(0, 1, 3), Triangle(0, 2, 3)};
    if (compare(c1, c2) == 0){
        ans = {{0, 1, 2}, {1, 2, 3}};
    }
    return ans;
}
